cURL
curl --request GET \
--url https://web-scraping-api2.p.rapidapi.com/get-profile-posts \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://web-scraping-api2.p.rapidapi.com/get-profile-posts"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://web-scraping-api2.p.rapidapi.com/get-profile-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"images": [
{
"url": "https://media.licdn.com/dms/image/D5622AQH9fVqca5uEnw/feedshare-shrink_2048_1536/0/1700673956174?e=1703721600&v=beta&t=JeLAXcbzLFQuqjQbRlCIn6a3wZBhNr7A2XFjrPdN6F0"
}
],
"num_appreciations": 6,
"num_comments": 63,
"num_empathy": 6,
"num_interests": 6,
"num_likes": 253,
"num_reposts": 30,
"num_praises": 1,
"post_url": "https://www.linkedin.com/feed/update/urn:li:activity:7133388569078894592/",
"reshared": false,
"text": "💥Amazing Website's That Will Make You Smarter!!!💡",
"time": "1d",
"urn": "7133388569078894592",
"video": {
"duration": 51400,
"stream_url": "https://dms.licdn.com/playlist/vid/D5605AQEACEREwfcYgA/feedshare-ambry-analyzed_servable_progressive_video/0/1700796656388?e=1701417600&v=beta&t=8fHfRtgXo83IpbsO26QWT7f23N3MJhMDpEhr4KAhF_M"
},
"document": {
"page_count": 9,
"title": "swipe 👉 ",
"url": "https://media.licdn.com/dms/document/media/D561FAQGBoHA1k6ak2Q/feedshare-document-url-metadata-scrapper-pdf/0/1700753313013?e=1701417600&v=beta&t=-uoAo8eq6_DmkAtagaLrssQ1UWke4V4nPFF0SwcNeRE"
}
}
],
"message": "ok.",
"paging": {
"count": 50,
"pagination_token": "dXJuOmxpOmFjdGl2aXR5OjcxMzI3MzQzMzU0Njc2MTQyMDgtMTcwMDU3NjM4NTM2Mg==",
"start": 0
}
}{
"data": null,
"message": "Bad request: Invalid linkedin_url."
}{
"data": null,
"message": "The url was not found on Linkedin."
}{
"data": null,
"message": "System error. We will fix it soon!"
}Post Data
Get Profile Posts
-
Retrieve posts from a person’s profile. Pagination is supported for accessing all posts.
-
2 credits per call
GET
/
get-profile-posts
cURL
Authorizations
Query Parameters
Available options:
posts, comments, reactions Example:
"posts"
Use this param to fetch posts of the next result page: 0 for page 1, 50 for page 2, etc.
Required when fetching the next result page. Please use the token from the result of your previous call.
⌘I
